Subject: bug#597: debian-podman-config-override: Podman missing cgroup mount

From: Mark Hindley <[email-masked]>
Date: Thu, 5 Aug 2021 13:39:10 +0100

Hannah,

Thanks for this.

On Thu, Aug 05, 2021 at 01:22:23PM +0200, Hannah Rittich wrote:
> Package: debian-podman-config-override
> Version: 2.1
> Severity: normal
> X-Debbugs-Cc: [email-masked]
> 
> I was setting up a minimal installation of chimaera to test the new
> `debian-podman-config-override` package. On this system, running a simple
> container with podman fails.
> 
>     $ podman pull docker.io/dyne/devuan:beowulf
>     ...
>     $ podman run -ti --rm devuan:beowulf
>     Error: OCI runtime error: invalid file system type on '/sys/fs/cgroup'
> 
> I had not seen this error message when testing the configuration that is now
> in `debian-podman-config-override`. When testing earlier, I was running a
> full desktop installation, and it turns out that `elogind` mounts the cgroup
> filesystem. Thus, installing `elogind` and restarting allows podman to run.
> 
> Instead of `elogind`, it is also possible to install `cgroupfs-mount` or
> `cgmanager`. Maybe there are more packages that mount the cgroup filesystem.
> 
> To improve the out-of-the-box experice of chimaera, I would suggest to make
> `debian-podman-config-override` to depend on a package that mounts the
> cgroup filesystem. I would suggest to make the package depend on
> `cgroupfs-mount`. It would be possible, however, to just require that any of
> the above-mentioned packages is installed.

Yes, I think allowing any is the way to go which should provide the greatest
flexibility.

I note that cgmanager is not present in debian bullseye or later so appears to
be on its way out[1]. The best solution is probably to depend on (or recommend?)
elogind | cgroupfs-mount | cgmanager.

Mark

[1]  https://tracker.debian.org/pkg/cgmanager